Get store stamps
GET
/api/v2.0/stores/{storeId}/stamp-cards
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.diller.app/api/v2.0/stores/your-store-id/stamp-cards"), Headers = { { "Authorization", "Bearer <token>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.diller.app/api/v2.0/stores/your-store-id/stamp-cards"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder() .url("https://api.diller.app/api/v2.0/stores/your-store-id/stamp-cards") .get() .addHeader("Authorization", "Bearer <token>") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'GET', url: 'https://api.diller.app/api/v2.0/stores/your-store-id/stamp-cards', headers: {Authorization: 'Bearer <token>'}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.diller.app/api/v2.0/stores/your-store-id/stamp-cards';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.diller.app/api/v2.0/stores/your-store-id/stamp-cards \ --header 'Authorization: Bearer <token>'Retrieves store stamp cards. By default it only retrieves active stamp cards.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”storeId
required
string
The store id
Example
your-store-idQuery Parameters
Section titled “Query Parameters”alsoInactive
boolean
When true, it also return stamp cards that are not currently valid.
Responses
Section titled “Responses”OK
Media typeapplication/json
Array<object>
object
id
integer format: int32
external_id
string
article_number
string
title
string
description
string
required_points
integer format: int32
is_restartable
boolean
required_stamps
integer format: int32
image_url
string
last_stamp_text
string
product_ids
Array<string>
card_type
CardType can have the values ‘standard’ or ‘threshold’
string
threshold_amount
The minimum transaction amount required to earn a stamp when the stamp card is of type 'threshold'.
number format: double
valid_from
string format: date-time
valid_to
string format: date-time
Example
[ { "valid_from": "2026-09-11T12:34:49", "valid_to": "2026-09-11T12:34:49" }]Bad Request
Media typeapplication/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
errors
object
key
additional properties
Array<string>
key
additional properties
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "errors": { "additionalProperty": [ "example" ] }}